Bug 1415667 - Mock on el6 has a missing dependency: python-argparse
Summary: Mock on el6 has a missing dependency: python-argparse
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-distro
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 11:57 UTC by Romain Philibert
Modified: 2017-02-09 17:48 UTC (History)
7 users (show)

Fixed In Version: python-distro-1.0.2-3.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 17:48:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Romain Philibert 2017-01-23 11:57:34 UTC
Description of problem:
On el6, the mock RPM has a missing dependency: python-argparse

Version-Release number of selected component (if applicable):
mock-1.3.3-1.el6.noarch

How reproducible:
Easily reproducible

Steps to Reproduce:
1. On a fresh centos6
2. yum install mock
3.  `/usr/bin/mock` fails with `ImportError: No module named argparse`
4. yum install python-argparse
5. `/usr/bin/mock` is working correctly.

Actual results:

[root@localhost packages-t-functional]# yum install mock
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package mock.noarch 0:1.3.3-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================
 Package                      Arch                           Version                               Repository                    Size
======================================================================================================================================
Installing:
 mock                         noarch                         1.3.3-1.el6                           epel                         171 k

Transaction Summary
======================================================================================================================================
Install       1 Package(s)

Total download size: 171 k
Installed size: 533 k
Is this ok [y/N]: y
Downloading Packages:
mock-1.3.3-1.el6.noarch.rpm                                                                                    | 171 kB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : mock-1.3.3-1.el6.noarch                                                                                            1/1
  Verifying  : mock-1.3.3-1.el6.noarch                                                                                            1/1

Installed:
  mock.noarch 0:1.3.3-1.el6

Complete!
[root@localhost packages-t-functional]# /usr/bin/mock
Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 80, in <module>
    from mockbuild.buildroot import Buildroot
  File "/usr/lib/python2.6/site-packages/mockbuild/buildroot.py", line 20, in <module>
    from .package_manager import package_manager
  File "/usr/lib/python2.6/site-packages/mockbuild/package_manager.py", line 9, in <module>
    import distro
  File "/usr/lib/python2.6/site-packages/distro.py", line 37, in <module>
    import argparse
ImportError: No module named argparse


Expected results:

[root@localhost packages-t-functional]# /usr/bin/mock
INFO: mock.py version 1.3.3 starting (python version = 2.6.6)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
CRITICAL: No package specified to rebuild command.



Additional info:

RPM python-argparse is needed.

Comment 1 Miroslav Suchý 2017-01-24 13:03:42 UTC
It is missing deps of python-distro.

Comment 2 Fedora Update System 2017-01-25 13:23:01 UTC
python-distro-1.0.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-516666ce98

Comment 3 Fedora Update System 2017-01-26 00:49:05 UTC
python-distro-1.0.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-516666ce98

Comment 4 Fedora Update System 2017-02-09 17:48:24 UTC
python-distro-1.0.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.